## class Bitmap

> datatype for storing an X bitmap.

### Public Fields

  int | xbm_width width in pixels.
  int | xbm_height height in pixels.
  unsigned char* | xbm_bits bit string.

### Public Methods

  Pixmap | CreatePixmap (Widget w, Display *display) const returns a color pixmap from the bitmap.
  Pixmap | GetBitmap (Widget w, Display *display) const returns the bitmap as pixmap.

## Documentation

> datatype for storing an X bitmap.

`int xbm_width`
  width in pixels.

`int xbm_height`
  height in pixels.

`unsigned char* xbm_bits`
  bit string.

`Pixmap CreatePixmap(Widget w, Display *display) const`
  returns a color pixmap from the bitmap.

`Pixmap GetBitmap(Widget w, Display *display) const`
  returns the bitmap as pixmap.

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de